Skip to main content
POST
/
api
/
v1
/
auth
/
universal-auth
/
identities
/
{identityId}
/
client-secrets
/
{clientSecretId}
/
revoke
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/universal-auth/identities/{identityId}/client-secrets/{clientSecretId}/revoke \
  --header 'Authorization: Bearer <token>'
{
  "clientSecretData": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "clientSecretPrefix": "<string>",
    "identityUAId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "clientSecretNumUses": 0,
    "clientSecretNumUsesLimit": 0,
    "clientSecretTTL": 0,
    "isClientSecretRevoked": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical-saif-eng-4890-add-support-for-oracle-db-access-in.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to revoke the client secret from.

clientSecretId
string
required

The ID of the client secret to revoke.

Response

Default Response

clientSecretData
object
required